<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- archiver-module.qdoc -->
  <title>archiver QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">archiver QML Type</h1>
<span class="subtitle"></span>
<!-- $$$archiver-brief -->
<p>Provides support for building archives. <a href="#details">More...</a></p>
<!-- @@@archiver -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.4</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-archiver-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-archiver.html#archiveBaseName-prop">archiveBaseName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-archiver.html#command-prop">command</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-archiver.html#compressionLevel-prop">compressionLevel</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-archiver.html#compressionType-prop">compressionType</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-archiver.html#flags-prop">flags</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-archiver.html#outputDirectory-prop">outputDirectory</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-archiver.html#type-prop">type</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-archiver.html#workingDirectory-prop">workingDirectory</a></b></b> : string</li>
</ul>
<!-- $$$archiver-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>archiver</code> module contains the properties and rules for creating (compressed) archives. The output artifact has the file tag <code>&quot;archiver.archive&quot;</code>. The sole input artifact is a text file containing the list of files to package, with one file path per line. The paths can be relative, in which case they will be looked for in <a href="qml-qbsmodules-archiver.html#workingDirectory-prop">workingDirectory</a>. The file tag of this input artifact is <code>&quot;archiver.input-list&quot;</code>.</p>
<!-- @@@archiver -->
<h2>Property Documentation</h2>
<!-- $$$archiveBaseName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="archiveBaseName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">archiveBaseName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The base name of the archive file. That is, the file name without any extensions.</p>
<p>Default: <a href="qml-qbslanguageitems-product.html#targetName-prop">product.targetName</a></p>
</div></div><!-- @@@archiveBaseName -->
<br/>
<!-- $$$command -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="command-prop">
<td class="tblQmlPropNode"><p>
<span class="name">command</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path to the executable used to create the archive.</p>
<p>This is usually the native tool corresponding to the archive type being produced, but may fall back to another tool also capable of producing that archive type if the native tool is not installed on the host system. This behavior is especially useful on platforms such as Windows, where the native tools for producing <code>tar</code> and <code>zip</code> archives in particular are much less likely to be installed.</p>
<p>The following table lists the supported <a href="qml-qbsmodules-archiver.html#type-prop">archive types</a> and the tools capable of producing them, listed in search order from left to right:</p>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Type</th><th >Supported tools</th></tr></thead>
<tr valign="top" class="odd"><td >7zip</td><td >7z</td></tr>
<tr valign="top" class="even"><td >tar</td><td >tar, 7z</td></tr>
<tr valign="top" class="odd"><td >zip</td><td >zip <i>(Info-Zip)</i>, 7z, jar <i>(from Java JDK)</i></td></tr>
</table></div>
<p>Default: Depends on <a href="qml-qbsmodules-archiver.html#type-prop">type</a>.</p>
</div></div><!-- @@@command -->
<br/>
<!-- $$$compressionLevel -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compressionLevel-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compressionLevel</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>How much effort to put into the compression of a <code>7-Zip</code> or <code>zip</code> archive.</p>
<p>Possible values for zip are:</p>
<ul>
<li><code>undefined</code></li>
<li><code>&quot;0&quot;</code></li>
<li><code>&quot;1&quot;</code></li>
<li><code>&quot;2&quot;</code></li>
<li><code>&quot;3&quot;</code></li>
<li><code>&quot;4&quot;</code></li>
<li><code>&quot;5&quot;</code></li>
<li><code>&quot;6&quot;</code></li>
<li><code>&quot;7&quot;</code></li>
<li><code>&quot;8&quot;</code></li>
<li><code>&quot;9&quot;</code></li>
</ul>
<p>7-Zip only supports 0 and the odd numbers above.</p>
<p>Higher numbers result in a smaller archive, but the compression process will take more time.</p>
<p>If the value is left undefined, the default compression level is used.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@compressionLevel -->
<br/>
<!-- $$$compressionType -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compressionType-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compressionType</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>How to compress a <code>tar</code> or <code>zip</code> archive.</p>
<p>Possible options are:</p>
<ul>
<li><code>&quot;bz2&quot;</code></li>
<li><code>&quot;deflate&quot;</code></li>
<li><code>&quot;gz&quot;</code></li>
<li><code>&quot;none&quot;</code></li>
<li><code>&quot;store&quot;</code></li>
<li><code>undefined</code>, which uses the archiver's default compression type.</li>
<li><code>&quot;xz&quot;</code></li>
<li><code>&quot;Z&quot;</code></li>
</ul>
<p>Default: <code>&quot;gz&quot;</code> for <code>tar</code> archives, otherwise <code>undefined</code>.</p>
</div></div><!-- @@@compressionType -->
<br/>
<!-- $$$flags -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="flags-prop">
<td class="tblQmlPropNode"><p>
<span class="name">flags</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Custom options not covered by any of the other properties.</p>
<p>Default: <code>[]</code></p>
</div></div><!-- @@@flags -->
<br/>
<!-- $$$outputDirectory -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="outputDirectory-prop">
<td class="tblQmlPropNode"><p>
<span class="name">outputDirectory</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Where to put the archive file.</p>
<p>Default: <a href="qml-qbslanguageitems-product.html#destinationDirectory-prop">product.destinationDirectory</a></p>
</div></div><!-- @@@outputDirectory -->
<br/>
<!-- $$$type -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="type-prop">
<td class="tblQmlPropNode"><p>
<span class="name">type</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Which kind of archiver to use.</p>
<p>The currently supported values are:</p>
<ul>
<li><code>&quot;7zip&quot;</code></li>
<li><code>&quot;tar&quot;</code></li>
<li><code>&quot;zip&quot;</code></li>
</ul>
<p>Default: Undefined</p>
</div></div><!-- @@@type -->
<br/>
<!-- $$$workingDirectory -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="workingDirectory-prop">
<td class="tblQmlPropNode"><p>
<span class="name">workingDirectory</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The directory in which to execute the archiver tool specified by <a href="qml-qbsmodules-archiver.html#command-prop">command</a>.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@workingDirectory -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
